In spring cloud gateway versions prior to 3.1.1+ and 3.0.7+ , applications are vulnerable to a code injection attack when the Gateway Actuator endpoint is enabled, exposed and unsecured. A remote attacker could make a maliciously crafted request that could allow arbitrary remote execution on the remote host.
Published 2022-03-03 22:15:09
Updated 2023-07-24 13:47:35
Source VMware
View at NVD,   CVE.org

CVE-2022-22947 is in the CISA Known Exploited Vulnerabilities Catalog

CISA vulnerability name:
VMware Spring Cloud Gateway Code Injection Vulnerability
CISA required action:
Apply updates per vendor instructions.
CISA description:
Spring Cloud Gateway applications are vulnerable to a code injection attack when the Gateway Actuator endpoint is enabled, exposed and unsecured.
Added on 2022-05-16 Action due date 2022-06-06

Exploit prediction scoring system (EPSS) score for CVE-2022-22947

Probability of exploitation activity in the next 30 days: 97.50%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 100 % EPSS Score History EPSS FAQ

Metasploit modules for CVE-2022-22947

  • Spring Cloud Gateway Remote Code Execution
    Disclosure Date: 2022-01-26
    First seen: 2022-12-23
    exploit/linux/http/spring_cloud_gateway_rce
    This module exploits an unauthenticated remote code execution vulnerability in Spring Cloud Gateway versions = 3.1.0 and 3.0.0 to 3.0.6. The vulnerability can be exploited when the Gateway Actuator endpoint is enabled, exposed and unsecured. An unauthenticated attacker

CVSS scores for CVE-2022-22947

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source
6.8
MEDIUM AV:N/AC:M/Au:N/C:P/I:P/A:P
8.6
6.4
NIST
10.0
CRITICAL CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H
3.9
6.0
NIST

CWE ids for CVE-2022-22947

References for CVE-2022-22947

Products affected by CVE-2022-22947

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!